## org.hibernate.internal.jaxb.mapping.hbm
Interface SubEntityElement

All Superinterfaces:
  EntityElement, MetaAttributeContainer

All Known Implementing Classes:
  JaxbJoinedSubclassElement, JaxbSubclassElement, JaxbUnionSubclassElement

    public interface SubEntityElement

extends EntityElement

Method Summary
`String` `getExtends()`

Methods inherited from interface org.hibernate.internal.jaxb.mapping.hbm.EntityElement
`getBatchSize, getEntityName, getFetchProfile, getLoader, getName, getPersister, getPropertyOrManyToOneOrOneToOne, getProxy, getQueryOrSqlQuery, getResultset, getSqlDelete, getSqlInsert, getSqlUpdate, getSynchronize, getTuplizer, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate`

Methods inherited from interface org.hibernate.internal.jaxb.mapping.hbm.MetaAttributeContainer
`getMeta`

Method Detail

### getExtends

    String getExtends()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.